Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197628 - [abrt] WARNING: CPU: 2 PID: 1993 at lib/dma-debug.c:501 add_dma_entry+0x162/0x170()
Summary: [abrt] WARNING: CPU: 2 PID: 1993 at lib/dma-debug.c:501 add_dma_entry+0x162/0...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6dc83c26a2250d5c73e03a2fa74...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 09:14 UTC by Steve Hindmarch
Modified: 2015-06-30 00:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:12:22 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (58.79 KB, text/plain)
2015-03-02 09:14 UTC, Steve Hindmarch
no flags Details

Description Steve Hindmarch 2015-03-02 09:14:50 UTC
Additional info:
reporter:       libreport-2.2.3
WARNING: CPU: 2 PID: 1993 at lib/dma-debug.c:501 add_dma_entry+0x162/0x170()
DMA-API: exceeded 7 overlapping mappings of cacheline 0x0000000001ab7140
Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter bnep ip6t_REJECT nf_reject_ipv6 bluetooth cfg80211 rfkill xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller iTCO_wdt gpio_ich ppdev iTCO_vendor_support snd_hda_codec lpc_ich mfd_core snd_hwdep snd_seq parport_pc serio_raw parport coretemp snd_seq_device shpchp microcode acpi_cpufreq snd_pcm i2c_i801 snd_timer snd soundcore i915 i2c_algo_bit ata_generic
video pata_acpi r8169 drm_kms_helper mii drm
CPU: 2 PID: 1993 Comm: Xorg Not tainted 3.18.7-100.fc20.x86_64+debug #1
Hardware name: Gigabyte Technology Co., Ltd. G31M-ES2L /G31M-ES2L, BIOS F4 08/20/2008
0000000000000000 00000000c86d0309 ffff8800ac66b938 ffffffff81844d64
0000000000000000 ffff8800ac66b990 ffff8800ac66b978 ffffffff810a77e1
ffff8800ac66b968 00000000ffffffef ffff8800b7e44480 0000000001ab7140
Call Trace:
[<ffffffff81844d64>] dump_stack+0x4e/0x68
[<ffffffff810a77e1>] warn_slowpath_common+0x81/0xa0
[<ffffffff810a7855>] warn_slowpath_fmt+0x55/0x70
[<ffffffff8143727d>] ? active_cacheline_read_overlap+0x2d/0x50
[<ffffffff81437882>] add_dma_entry+0x162/0x170
[<ffffffff81437f5d>] debug_dma_map_sg+0x13d/0x180
[<ffffffffa00c90d6>] i915_gem_gtt_prepare_object+0xc6/0xf0 [i915]
[<ffffffffa00d1d0a>] i915_gem_object_pin+0x58a/0x8e0 [i915]
[<ffffffffa00c315f>] i915_gem_execbuffer_reserve_vma.isra.17+0x5f/0xe0 [i915]
[<ffffffffa00c34ae>] i915_gem_execbuffer_reserve+0x2ce/0x320 [i915]
[<ffffffffa00c3f49>] i915_gem_do_execbuffer.isra.23+0x5e9/0xdd0 [i915]
[<ffffffff8110221f>] ? lock_release_holdtime.part.29+0xf/0x190
[<ffffffff81107d78>] ? lock_release_non_nested+0x308/0x350
[<ffffffffa00c58bf>] i915_gem_execbuffer2+0xcf/0x2f0 [i915]
[<ffffffffa0005e2c>] drm_ioctl+0x1ec/0x660 [drm]
[<ffffffff8138ea37>] ? inode_has_perm.isra.51+0x57/0x80
[<ffffffff8127aaa0>] do_vfs_ioctl+0x300/0x520
[<ffffffff8127ad41>] SyS_ioctl+0x81/0xa0
[<ffffffff8184f7e9>] system_call_fastpath+0x12/0x17

Comment 1 Steve Hindmarch 2015-03-02 09:14:56 UTC
Created attachment 997001 [details]
File: dmesg

Comment 2 Fedora End Of Life 2015-05-29 13:43:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-30 00:12:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.